<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>AddActivities()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aedd88fdbea43ca619bda542482312ab2">xAPI_Definitions_Parser.IO.Context</a></li>
<li>AddActivity()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a777165631a890808ea5973796c5c9b5a">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a68804a0a73293ad0359f3719e01dd992">xAPI_Definitions_Parser.IO.Context</a></li>
<li>AddArgument()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a58721e5614d1da9a2f7bcf908fb6ec5f">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>AddArguments()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a122a388e3a5d41f2de2b8a450c30b251">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>AddBaseArgument()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a5f80c153c4b71ca1c404e5aa3fe07b7c">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#aba136f8f0aa7e8d8c57ff41cbd203b91">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>AddBaseArguments()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#acf95f747643d7a9a9b4179457c0c194c">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a1a8bd18d795c221224f373cf7a79976b">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>AddConstructor()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aab1e77c20c49984a9bd5345a7b534214">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddConstructors()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aeeaa23d92c6d181936d00197c15adb89">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddDefinition()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#af2fd9154c0b6d2f0c8bcfe0fe0302a1d">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt;</a></li>
<li>AddDefinitions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a7f526850f2bff234378598317bdab298">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt;</a></li>
<li>AddExtension()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a414d736a3d627e7b64c6f0319cfbb787">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a18f188e42bb00ed611a83369c252516c">xAPI_Definitions_Parser.IO.Context</a></li>
<li>AddExtensions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#ae925e836fb45e4c09224f2858d35a6b9">xAPI_Definitions_Parser.IO.Context</a></li>
<li>AddGetableProperties()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a2da61c213aa474c81ed47322ced94cc3">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddGetableProperty()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a1e8b8b468cd2ba68ea641fb79ec45bb1">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddImport()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a883d79f83d3d136ba48b4b66a94b63fd">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>AddImports()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a4688575e6ad2ae02a281773ddf0fde1c">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>AddMethod()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#af890f416ca342ec7ebc7f0cab31835ae">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddMethods()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac783b74c98557fc9ae7b5aa1f84ccca2">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddModifier()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3312cef392543c8a0a582762dc7ac951">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#af872f51e58e907c68e3a1a17624023b2">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a35dd2d66938b4064b5b31d10ad07b9ab">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a933db59c3558b0ab9349b8cb2089e18c">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#abc1b17f904699b02a446164318a72402">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>AddModifiers()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a4e49b87bac2ad19d139ef54fb5e9dd92">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a9ef267f9a9453425e795eefd3e2555cd">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0eb6b778ee124a6f891975b15c640159">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a162eeac68f614b1397520369f472902d">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a2b52bbe65f63608bf7fdeded446cdc97">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>AddParameter()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a1715d51a064d8e544a22657d00fdfc0f">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a4c50befd4d94d571cc2751894cd18388">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>AddParameters()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#aa2316706542666ba391b8be46081a591">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a0297608ef33e1bb0ccb416a41f785e8a">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>AddProperties()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0c1f151cc82d5387c5edd8ae3eec052d">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddProperty()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a7420a6568dd0b4b9a5c0709c4d36e29c">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>AddStatement()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#a8e4682f07f1fe674380913a62e1699c4">xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody</a></li>
<li>AddStatements()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#ae5becaf4bb07582320be52aa35d09b57">xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody</a></li>
<li>AddSubActivities()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a10ec5f0c759cf98451324d922c01e5d0">xAPI_Definitions_Parser.Definitions.xAPIContext</a></li>
<li>AddSubExtensions()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a27a5090ccf25b7ebaaeafbaea171b4d0">xAPI_Definitions_Parser.Definitions.xAPIContext</a></li>
<li>AddSubVerbs()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a9cb204b106f984b338798cd4e9200aa2">xAPI_Definitions_Parser.Definitions.xAPIContext</a></li>
<li>AddVerb()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a4c3d82b20c3cf23c20872cd01439036b">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#ab4f8c252df3a3d3af9ce816bd5e1040d">xAPI_Definitions_Parser.IO.Context</a></li>
<li>AddVerbs()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aa01e88ec3a2e1f58b14db2acb54b2c19">xAPI_Definitions_Parser.IO.Context</a></li>
<li>Argument()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a50b481155bc31da85d808b8cca00f919">xAPI_Definitions_Parser.Code.SyntaxTree.Argument</a></li>
<li>ArgumentsToString()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a1ab8c5fc5be739d87cf9bea1d8f53e6e">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a059d22d470f08bbf8125e87bb9fd81d6">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a6c62d42e8e3243b8f53e952b104b286a">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
